Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ejbql.parser
Class EJBQL.EJBQLDefaultParser

    java.lang.Object
      org.apache.cayenne.ejbql.parser.EJBQL.EJBQLDefaultParser

All Implemented Interfaces:
  EJBQLParser

Enclosing class:
  EJBQL

    public static class EJBQL.EJBQLDefaultParser

extends java.lang.Object
implements EJBQLParser

Constructor Summary
`EJBQL.EJBQLDefaultParser()`

Method Summary
`EJBQLCompiledExpression` | `compile(java.lang.String ejbqlStatement, EntityResolver resolver)` Parses and compiles an expression for the EntityResolver.
`EJBQLExpression` | `parse(java.lang.String ejbqlStatement)` Parses a string EJB QL into an `EJBQLExpression`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBQL.EJBQLDefaultParser

    public EJBQL.EJBQLDefaultParser()

Method Detail

### parse

    public EJBQLExpression parse(java.lang.String ejbqlStatement)
                          throws EJBQLException

  Description copied from interface: `EJBQLParser`
  Parses a string EJB QL into an `EJBQLExpression`.

  Specified by:
    `parse` in interface `EJBQLParser`
  Throws:
    `EJBQLException`

### compile

    public EJBQLCompiledExpression compile(java.lang.String ejbqlStatement,
                                           EntityResolver resolver)
                                    throws EJBQLException

  Description copied from interface: `EJBQLParser`
  Parses and compiles an expression for the EntityResolver.

  Specified by:
    `compile` in interface `EJBQLParser`
  Throws:
    `EJBQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.